/// <reference types="react-redux" />
import React = require('react');
import { DocumentViewerSettings } from './models/DocumentViewerSettings';
/**
 * State model for the ExampleApp component
 */
export interface ExampleAppState {
    hostName: string;
    documentIdOrPath: number | string;
    isViewerOpened: boolean;
    settings: DocumentViewerSettings;
    isHelpOpened: boolean;
    save: boolean;
}
/**
 * Settings object for the Document Viewer Example component
 */
export declare const exampleSettings: DocumentViewerSettings;
/**
 * The default example theme
 */
export declare const theme: import("../node_modules/@material-ui/core/styles/createMuiTheme").Theme;
declare const connectedComponent: React.ComponentClass<Pick<{}, never>> & {
    WrappedComponent: React.ComponentType<{}>;
};
export { connectedComponent as ExampleAppLayout };
